Bug 213597 - Protect SWServer::claim from a registration without active worker
Summary: Protect SWServer::claim from a registration without active worker
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-06-25 07:12 PDT by youenn fablet
Modified: 2020-06-27 09:14 PDT (History)
4 users (show)

See Also:


Attachments
Patch (2.26 KB, patch)
2020-06-25 08:26 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2020-06-25 07:12:56 PDT
Protect SWServer::claim from a registration without active worker
Comment 1 youenn fablet 2020-06-25 07:13:49 PDT
<rdar://problem/62754205>
Comment 2 youenn fablet 2020-06-25 08:26:12 PDT
Created attachment 402738 [details]
Patch
Comment 3 youenn fablet 2020-06-26 07:19:24 PDT
ping review
Comment 4 EWS 2020-06-27 09:14:01 PDT
Committed r263622: <https://trac.webkit.org/changeset/263622>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 402738 [details].